Cassandra (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra

-     public class Cassandra
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.add_args`
    `static class` | `Cassandra.add_result`
    `static class` | `Cassandra.AsyncClient`
    `static interface` | `Cassandra.AsyncIface`
    `static class` | `Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.atomic_batch_mutate_args`
    `static class` | `Cassandra.atomic_batch_mutate_result`
    `static class` | `Cassandra.batch_mutate_args`
    `static class` | `Cassandra.batch_mutate_result`
    `static class` | `Cassandra.cas_args`
    `static class` | `Cassandra.cas_result`
    `static class` | `Cassandra.Client`
    `static class` | `Cassandra.describe_cluster_name_args`
    `static class` | `Cassandra.describe_cluster_name_result`
    `static class` | `Cassandra.describe_keyspace_args`
    `static class` | `Cassandra.describe_keyspace_result`
    `static class` | `Cassandra.describe_keyspaces_args`
    `static class` | `Cassandra.describe_keyspaces_result`
    `static class` | `Cassandra.describe_local_ring_args`
    `static class` | `Cassandra.describe_local_ring_result`
    `static class` | `Cassandra.describe_partitioner_args`
    `static class` | `Cassandra.describe_partitioner_result`
    `static class` | `Cassandra.describe_ring_args`
    `static class` | `Cassandra.describe_ring_result`
    `static class` | `Cassandra.describe_schema_versions_args`
    `static class` | `Cassandra.describe_schema_versions_result`
    `static class` | `Cassandra.describe_snitch_args`
    `static class` | `Cassandra.describe_snitch_result`
    `static class` | `Cassandra.describe_splits_args`
    `static class` | `Cassandra.describe_splits_ex_args`
    `static class` | `Cassandra.describe_splits_ex_result`
    `static class` | `Cassandra.describe_splits_result`
    `static class` | `Cassandra.describe_token_map_args`
    `static class` | `Cassandra.describe_token_map_result`
    `static class` | `Cassandra.describe_version_args`
    `static class` | `Cassandra.describe_version_result`
    `static class` | `Cassandra.execute_cql_query_args`
    `static class` | `Cassandra.execute_cql_query_result`
    `static class` | `Cassandra.execute_cql3_query_args`
    `static class` | `Cassandra.execute_cql3_query_result`
    `static class` | `Cassandra.execute_prepared_cql_query_args`
    `static class` | `Cassandra.execute_prepared_cql_query_result`
    `static class` | `Cassandra.execute_prepared_cql3_query_args`
    `static class` | `Cassandra.execute_prepared_cql3_query_result`
    `static class` | `Cassandra.get_args`
    `static class` | `Cassandra.get_count_args`
    `static class` | `Cassandra.get_count_result`
    `static class` | `Cassandra.get_indexed_slices_args`
    `static class` | `Cassandra.get_indexed_slices_result`
    `static class` | `Cassandra.get_multi_slice_args`
    `static class` | `Cassandra.get_multi_slice_result`
    `static class` | `Cassandra.get_paged_slice_args`
    `static class` | `Cassandra.get_paged_slice_result`
    `static class` | `Cassandra.get_range_slices_args`
    `static class` | `Cassandra.get_range_slices_result`
    `static class` | `Cassandra.get_result`
    `static class` | `Cassandra.get_slice_args`
    `static class` | `Cassandra.get_slice_result`
    `static interface` | `Cassandra.Iface`
    `static class` | `Cassandra.insert_args`
    `static class` | `Cassandra.insert_result`
    `static class` | `Cassandra.login_args`
    `static class` | `Cassandra.login_result`
    `static class` | `Cassandra.multiget_count_args`
    `static class` | `Cassandra.multiget_count_result`
    `static class` | `Cassandra.multiget_slice_args`
    `static class` | `Cassandra.multiget_slice_result`
    `static class` | `Cassandra.prepare_cql_query_args`
    `static class` | `Cassandra.prepare_cql_query_result`
    `static class` | `Cassandra.prepare_cql3_query_args`
    `static class` | `Cassandra.prepare_cql3_query_result`
    `static class` | `Cassandra.Processor<I extends Cassandra.Iface>`
    `static class` | `Cassandra.remove_args`
    `static class` | `Cassandra.remove_counter_args`
    `static class` | `Cassandra.remove_counter_result`
    `static class` | `Cassandra.remove_result`
    `static class` | `Cassandra.set_cql_version_args`
    `static class` | `Cassandra.set_cql_version_result`
    `static class` | `Cassandra.set_keyspace_args`
    `static class` | `Cassandra.set_keyspace_result`
    `static class` | `Cassandra.system_add_column_family_args`
    `static class` | `Cassandra.system_add_column_family_result`
    `static class` | `Cassandra.system_add_keyspace_args`
    `static class` | `Cassandra.system_add_keyspace_result`
    `static class` | `Cassandra.system_drop_column_family_args`
    `static class` | `Cassandra.system_drop_column_family_result`
    `static class` | `Cassandra.system_drop_keyspace_args`
    `static class` | `Cassandra.system_drop_keyspace_result`
    `static class` | `Cassandra.system_update_column_family_args`
    `static class` | `Cassandra.system_update_column_family_result`
    `static class` | `Cassandra.system_update_keyspace_args`
    `static class` | `Cassandra.system_update_keyspace_result`
    `static class` | `Cassandra.trace_next_query_args`
    `static class` | `Cassandra.trace_next_query_result`
    `static class` | `Cassandra.truncate_args`
    `static class` | `Cassandra.truncate_result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cassandra

          public Cassandra()

Copyright © 2018 The Apache Software Foundation